import { SlatePlugin, SPEditor, TDescendant, WithOverride } from '@udecode/slate-plugins-core';
import { ReactEditor } from 'slate-react';
export interface WithDeserializeHTMLOptions {
    plugins?: SlatePlugin[];
    /**
     * Function called before inserting the deserialized html.
     * Default: if the block above is empty and the first fragment node type is not inline,
     * set the selected node type to the first fragment node type.
     */
    preInsert?: (fragment: TDescendant[]) => TDescendant[];
    /**
     * Function called to insert the deserialized html.
     * Default: Transforms.insertFragment.
     */
    insert?: (fragment: TDescendant[]) => void;
}
/**
 * Enables support for deserializing inserted content from HTML format to Slate format.
 */
export declare const withDeserializeHTML: ({ plugins, ...options }?: WithDeserializeHTMLOptions) => WithOverride<ReactEditor & SPEditor>;
/**
 * @see {@link withDeserializeHTML}
 */
export declare const createDeserializeHTMLPlugin: (options?: WithDeserializeHTMLOptions | undefined) => SlatePlugin;
//# sourceMappingURL=createDeserializeHTMLPlugin.d.ts.map